- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::Optimizer::CombineLODsVisitor Class Reference

Optimize the LOD groups, by combining adjacent LOD's which have complementary ranges. More...

Inheritance diagram for osgUtil::Optimizer::CombineLODsVisitor:

[legend]
List of all members.

## Public Types
typedef std::set< osg::Group * > | GroupList
## Public Member Functions
| CombineLODsVisitor (Optimizer *optimizer=0)
virtual void | apply (osg::LOD &lod)
void | combineLODs ()
bool | isOperationPermissibleForObject (const osg::Object *object) const
## Public Attributes
GroupList | _groupList
Optimizer * | _optimizer

## Detailed Description

Optimize the LOD groups, by combining adjacent LOD's which have complementary ranges.

## Member Typedef Documentation

typedef std::set<osg::Group*> osgUtil::Optimizer::CombineLODsVisitor::GroupList

## Constructor & Destructor Documentation

osgUtil::Optimizer::CombineLODsVisitor::CombineLODsVisitor | ( | Optimizer * | optimizer = `0` | ) | `[inline]`

## Member Function Documentation

void Optimizer::CombineLODsVisitor::apply | ( | osg::LOD & | lod | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

void Optimizer::CombineLODsVisitor::combineLODs | ( |  | ) |

bool osgUtil::Optimizer::CombineLODsVisitor::isOperationPermissibleForObject | ( | const osg::Object * | object | ) | const`[inline]`

## Member Data Documentation

GroupList osgUtil::Optimizer::CombineLODsVisitor::_groupList

Optimizer* osgUtil::Optimizer::CombineLODsVisitor::_optimizer

The documentation for this class was generated from the following files:

- Optimizer
- Optimizer.cpp